- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ReaderWriterGDAL.cpp File Reference

`#include <osg/Image>`
`#include <osg/Notify>`
`#include <osg/Geode>`
`#include <osg/GL>`
`#include <osgDB/Registry>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <osgDB/ImageOptions>`
`#include <OpenThreads/ScopedLock>`
`#include <osgDB/ReentrantMutex>`
`#include <gdal_priv.h>`

Include dependency graph for ReaderWriterGDAL.cpp:

## Defines
#define | SERIALIZER() OpenThreads::ScopedLock<osgDB::ReentrantMutex> lock(_serializerMutex)
## Variables
osgDB::RegisterReaderWriterProxy< ReaderWriterGDAL > | g_readerWriter_GDAL_Proxy

## Define Documentation

#define SERIALIZER | (
|  | ) | OpenThreads::ScopedLock<osgDB::ReentrantMutex> lock(_serializerMutex)

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterGDAL> g_readerWriter_GDAL_Proxy